package com.mmc.iuav.user.xzsz;

import java.math.BigDecimal;

/**
 * @author: zj
 * @Date: 2023/8/22 14:43
 */
public class WithdrawalResp {
    private String isSuccess;
    private String charset;
    private Data data;

    public String getIsSuccess() {
        return isSuccess;
    }

    public void setIsSuccess(String isSuccess) {
        this.isSuccess = isSuccess;
    }

    public String getCharset() {
        return charset;
    }

    public void setCharset(String charset) {
        this.charset = charset;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }

    public static class Data {
        private String outerTradeNo;
        private String notifyType;
        private String empName;
        private String empPhone;
        private String licenseType;
        private String licenseId;
        private String settleType;
        private String payAccount;
        private String positionName;
        private BigDecimal payAmount;
        private String tradeStatus;
        private String tradeTime;
        private String frontLogNo;
        private String tradeResult;
        private String tradeFailCode;

        public Data() {
        }

        public String getOuterTradeNo() {
            return outerTradeNo;
        }

        public void setOuterTradeNo(String outerTradeNo) {
            this.outerTradeNo = outerTradeNo;
        }

        public String getNotifyType() {
            return notifyType;
        }

        public void setNotifyType(String notifyType) {
            this.notifyType = notifyType;
        }

        public String getEmpName() {
            return empName;
        }

        public void setEmpName(String empName) {
            this.empName = empName;
        }

        public String getEmpPhone() {
            return empPhone;
        }

        public void setEmpPhone(String empPhone) {
            this.empPhone = empPhone;
        }

        public String getLicenseType() {
            return licenseType;
        }

        public void setLicenseType(String licenseType) {
            this.licenseType = licenseType;
        }

        public String getLicenseId() {
            return licenseId;
        }

        public void setLicenseId(String licenseId) {
            this.licenseId = licenseId;
        }

        public String getSettleType() {
            return settleType;
        }

        public void setSettleType(String settleType) {
            this.settleType = settleType;
        }

        public String getPayAccount() {
            return payAccount;
        }

        public void setPayAccount(String payAccount) {
            this.payAccount = payAccount;
        }

        public String getPositionName() {
            return positionName;
        }

        public void setPositionName(String positionName) {
            this.positionName = positionName;
        }

        public BigDecimal getPayAmount() {
            return payAmount;
        }

        public void setPayAmount(BigDecimal payAmount) {
            this.payAmount = payAmount;
        }

        public String getTradeStatus() {
            return tradeStatus;
        }

        public void setTradeStatus(String tradeStatus) {
            this.tradeStatus = tradeStatus;
        }

        public String getTradeTime() {
            return tradeTime;
        }

        public void setTradeTime(String tradeTime) {
            this.tradeTime = tradeTime;
        }

        public String getFrontLogNo() {
            return frontLogNo;
        }

        public void setFrontLogNo(String frontLogNo) {
            this.frontLogNo = frontLogNo;
        }

        public String getTradeResult() {
            return tradeResult;
        }

        public void setTradeResult(String tradeResult) {
            this.tradeResult = tradeResult;
        }

        public String getTradeFailCode() {
            return tradeFailCode;
        }

        public void setTradeFailCode(String tradeFailCode) {
            this.tradeFailCode = tradeFailCode;
        }
    }
}
